Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03548 Speed Minor Always Nov 23, 2009, 00:25 Jun 25, 2017, 13:32
Tester john_iv View Status Public Platform
Assigned To Resolution Open OS
Status [?] Confirmed Driver namcos12.cpp
Version 0.135u1 Fixed in Version Build 64-bit
Summary 03548: soulclbr: Soul Calibur running at half speed though showing 100%
Description Looks like a new regression, the demo and fight scenes in Soul Calibur are going about half speed though the OSD shows 100%.
Steps To Reproduce On sufficiently powerful host CPU fire up Soul Calibur.
Hit F11 and note 100% during attract mode, however everything is slowed to about half speed.
Additional Information Phil checked in a root counter fix for another bug but I can't compile it in at the moment to see if it fixes this issue as well:

Modified: trunk/src/mame/includes/psx.h
===================================================================
--- trunk/src/mame/includes/psx.h 2009-11-22 00:26:08 UTC (rev 7357)
+++ trunk/src/mame/includes/psx.h 2009-11-22 14:23:36 UTC (rev 7358)
@@ -25,9 +25,9 @@
 #define PSX_IRQ_ROOTCOUNTER3 0x0001
 #define PSX_IRQ_CDROM 0x0004
 #define PSX_IRQ_DMA 0x0008
-#define PSX_IRQ_ROOTCOUNTER2 0x0010
+#define PSX_IRQ_ROOTCOUNTER0 0x0010
 #define PSX_IRQ_ROOTCOUNTER1 0x0020
-#define PSX_IRQ_ROOTCOUNTER0 0x0040
+#define PSX_IRQ_ROOTCOUNTER2 0x0040
 #define PSX_IRQ_SIO0 0x0080
 #define PSX_IRQ_SIO1 0x0100
 #define PSX_IRQ_SPU 0x0200

Flags
Regression Version
Affected Sets / Systems soulclbr
Attached Files
 
Relationships
duplicate of 03040Confirmed soulclbr and clones: Game speed issue 
Notes
4
User avatar
No.13921
Fujix
Administrator
Jun 22, 2017, 14:40
It's working at 100% speed here. Does anyone still have this problem?
User avatar
No.13923
haynor666
Tester
Jun 22, 2017, 15:22
I don't see problem in 186.
User avatar
No.13927
Fujix
Administrator
Jun 22, 2017, 16:05
Thank you, marking the report as fixed.
User avatar
No.13941
ctr
Tester
Jun 25, 2017, 12:43
This is still not fixed, it should be noted that it will always show up as 100% in the OSD, that is not the problem.
The problem is that the game itself plays too fast or slow during fights. With interlace mode off, it's too fast and with it on it's too slow. Compare with Smitdogg's pcb recording (id 06524)